<?
 /*SCRIPT PARA MANTENIMIENTO DE NIVELES ESCOLARES */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":
   if(!$txtjornada){alert("Debe ingresar un nombre para la jornada escolar","javascript:history.go(-1)");}

    $qver=mysql_query("select * from jornadas where jornada = '$txtjornada'");
    if(mysql_num_rows($qver)>0){
      $iver=mysql_fetch_array($qver);
      alert("La jornada que ingresó ya existe.\\Jornada: {$iver[grado]}","javascript:history.go(-1)");
    }
                $sql="insert into
                      jornadas
                      set jornada='$txtjornada'";

                 $ins=mysql_query($sql);
                 if($ins){alert("Jornada [$txtjornada]\\nagregada con éxito","frm_jornada.php");}else{alert("ERROR: Por favor intente de nuevo","javascript:history.go(-1)");}
   break;

   case "Update":
    if(!$idj){
      alert("Parámetros incorrectos","javascript:history.go(-1)");
    }

    $id_jr=dec($idj);

    if(!$txtjornada){
      alert("Debe ingresar un nombre para la jornada escolar","javascript:history.go(-1)");
    }

    $qver=mysql_query("select * from jornadas where id = '$id_jr'");
    if(mysql_num_rows($qver)==0){
      alert("ERROR: La jornada no existe","javascript:history.go(-1)");
    }
                $sql="update
                      jornadas
                      set jornada='$txtjornada'
                      where id='$id_jr'";

                 $qupd=mysql_query($sql);
                 if($qupd){alert("Jornada: $txtjornada\\nactualizada con éxito","frm_jornada.php?");}else{alert("ERROR: Por favor intente de nuevo","javascript:history.go(-1)");}
   break;

   case "Delete":
    if(!$idj){
      alert("Parámetros incorrectos","javascript:history.go(-1)");
    }
    $id_jr=dec($idj);

    $qver=mysql_query("select * from grados where jornada = '$id_jr'");
    if(mysql_num_rows($qver)>0){
      alert("ERROR: No se puede eliminar.\\nHay ".mysql_num_rows($qver)." grado(s) asociados a la jornada","javascript:history.go(-1)");
    }

      $sql="delete from
            jornadas
            where id='$id_jr'";

      $qupd=mysql_query($sql);
      if($qupd){alert("Jornada eliminada con éxito","frm_jornada.php?");}else{alert("ERROR: Por favor intente de nuevo","javascript:history.go(-1)");}
   break;

   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

?>